Get Supported Currencies
curl --request GET \
--url https://api.rolla.xyz/api/v1/external/wallet/supported-currencies \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rolla.xyz/api/v1/external/wallet/supported-currencies"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rolla.xyz/api/v1/external/wallet/supported-currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"success": true,
"message": "Supported currencies retrieved successfully",
"data": {
"currencies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "NGN",
"name": "Nigerian Naira",
"symbol": "₦",
"status": "active"
}
]
}
}{
"success": false,
"message": "<string>"
}Wallet
Get Supported Currencies
Retrieves the list of currencies supported on the platform.
GET
/
wallet
/
supported-currencies
Get Supported Currencies
Retrieve the list of currencies supported on the Rolla platform.
Example Request
curl -X GET "https://api.rolla.xyz/api/v1/external/wallet/supported-currencies" \
-H "X-API-Key: your_api_key_here"
Example Response
{
"status": 200,
"success": true,
"message": "Supported currencies retrieved successfully",
"data": {
"currencies": [
{
"id": "ec215945-2f96-4199-8908-202796cc60c6",
"code": "NGN",
"name": "Nigerian Naira",
"symbol": "₦",
"status": "active"
},
{
"id": "d9628547-2973-4e03-bcb9-ea141c65b727",
"code": "USD",
"name": "US Dollar",
"symbol": "$",
"status": "active"
},
{
"id": "99a9df9b-7c1c-40ba-81a5-c6ac752c0904",
"code": "USDC",
"name": "USD Coin",
"symbol": "$",
"status": "active"
},
{
"id": "07114127-c2d7-4022-b978-42eafdc433e6",
"code": "USDT",
"name": "Tether",
"symbol": "$",
"status": "active"
},
{
"id": "e9c1b4cf-efe6-489d-b1ed-7eb89dfd23dd",
"code": "XAF",
"name": "Central African CFA Franc",
"symbol": "FCFA",
"status": "active"
}
]
}
}
Store this list locally and refresh periodically. The supported currencies rarely change but new ones may be added over time.
⌘I